<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/dp_10"
    android:orientation="vertical"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="@dimen/dp_10"
    app:cardElevation="@dimen/dp_0">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:id="@+id/mTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/shape_head_tip_new"
            android:drawablePadding="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_22"
            android:layout_marginStart="@dimen/dp_16"
            tools:text="第几个"
            android:textStyle="bold"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_17"
            tools:ignore="UseCompatTextViewDrawableXml" />

        <TextView
            android:id="@+id/mContent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_15"
            android:layout_marginTop="@dimen/dp_20"
            android:ellipsize="end"
            android:lineSpacingExtra="@dimen/dp_3"
            android:maxLines="3"
            tools:text="打给你哦司大哥"
            android:textColor="@color/col_455"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/mExpans"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="end"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_15"
            android:layout_marginBottom="@dimen/dp_16"
            android:text="展开"
            android:textColor="@color/col_02c"
            android:textSize="@dimen/sp_14" />

        <LinearLayout
            android:id="@+id/mLinSleep"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="gone"
            tools:visibility="visible">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginTop="@dimen/dp_24"
                android:layout_marginEnd="@dimen/dp_17"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/dp_8"
                    android:layout_height="@dimen/dp_8"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="@dimen/dp_5"
                    android:background="@drawable/shape_deep_sleep" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginEnd="@dimen/dp_24"
                    android:layout_weight="1"
                    android:text="深睡"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_11" />

                <ImageView
                    android:layout_width="@dimen/dp_8"
                    android:layout_height="@dimen/dp_8"
                    android:layout_gravity="center"
                    android:layout_marginEnd="@dimen/dp_5"
                    android:background="@drawable/shape_light_sleep" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginEnd="@dimen/dp_24"
                    android:layout_weight="1"
                    android:text="浅睡"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_11" />

                <ImageView
                    android:layout_width="@dimen/dp_8"
                    android:layout_height="@dimen/dp_8"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="@dimen/dp_5"
                    android:background="@drawable/shape_sober_sleep_1" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:text="清醒"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_11" />

            </LinearLayout>

            <com.xty.common.weight.SleepInfoView
                android:id="@+id/mSleepShow"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_200"
                android:layout_marginHorizontal="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_12"
                app:sleep_text="@dimen/dp_16" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_13"
                android:paddingHorizontal="16dp">

                <TextView
                    android:id="@+id/mStart"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    tools:text="sdfsdg"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/mEnd"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    tools:text="sdfsdfsdf"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_12" />

            </RelativeLayout>

            <LinearLayout
                android:id="@+id/mLin1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@+id/mConst"
                android:layout_marginTop="@dimen/dp_30"
                android:orientation="horizontal"
                tools:ignore="ObsoleteLayoutParam">

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/mV1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:textColor="@color/col_455"
                            android:textSize="@dimen/sp_20"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="小时"
                            android:textColor="@color/col_6B6"
                            android:textSize="@dimen/sp_10" />

                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/mV2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_20"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_toRightOf="@+id/mV1"
                            android:gravity="center"
                            android:text="小时"
                            android:textColor="@color/col_6B6"
                            android:textSize="@dimen/sp_10" />

                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/mV3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_20"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="小时"
                            android:textColor="@color/col_6B6"
                            android:textSize="@dimen/sp_10" />

                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/mV4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:textColor="@color/col_455"
                            android:textSize="@dimen/sp_20"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="次"
                            android:textColor="@color/col_6B6"
                            android:textSize="@dimen/sp_10" />

                    </LinearLayout>

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/mLin2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_22"
                android:layout_marginTop="@dimen/dp_13"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="深睡"
                    android:textColor="@color/col_C7C"
                    android:textSize="@dimen/sp_13" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="浅睡"
                    android:textColor="@color/col_C7C"
                    android:textSize="@dimen/sp_13" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="睡眠时长"
                    android:textColor="@color/col_C7C"
                    android:textSize="@dimen/sp_13" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="清醒"
                    android:textColor="@color/col_C7C"
                    android:textSize="@dimen/sp_13" />

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

</androidx.cardview.widget.CardView>